/* Because of the various screen sizes and the possibility that users may change 
   the browser's window size, it is generally recommended to use the rem unit when 
   selecting font sizes. When using rem, font sizes scale more predictably across 
   different devices and screen sizes. By setting the font size in rem, it becomes 
   relative to the root element's font size. If the user adjusts their browser's 
   default font size, your website's font sizes will scale proportionally. For example, 
   if the root element has a font size of 16 pixels, then 1 rem would be equal to 16 pixels.*/

/* rem to px calculator: https://www.ninjaunits.com/converters/pixels/rem-pixels/ */
/* px to rem: https://www.ninjaunits.com/converters/pixels/pixels-rem/ */

/* For example, if we want a font size of 70px, we would need to use 4.375rem. However, 
   having to perform this conversion each time we need to specify a size can become tedious. 
   Instead, we can employ a simple "hack." By resetting the font size to 62.5% in the html 
   selector and setting it to 16px in the body selector, we can make the rem unit much easier to use. */

html {
    font-size: 62.5%;
}

body {
    font-size: 16px; /* 1rem ≈ 10px (but it adjusts to screen size)*/
}

h1 {
    text-align: center;
    font-size: 4rem;
}

span {
    font-size: 2rem;
}

